# FoundationClasses
TKernel
Message

# Message_ListNodeOfListOfMsg Class Reference

`#include <Message_ListNodeOfListOfMsg.hxx>`

Inheritance diagram for Message_ListNodeOfListOfMsg:

[legend]

## Public Member Functions

| Message_ListNodeOfListOfMsg (const Message_Msg &I, const TCollection_MapNodePtr &n)
Message_Msg & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Message_Msg | myValue

## Constructor & Destructor Documentation

Message_ListNodeOfListOfMsg::Message_ListNodeOfListOfMsg | ( | const Message_Msg & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Message_ListNodeOfListOfMsg::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TCollection_MapNode.

Message_Msg& Message_ListNodeOfListOfMsg::Value | ( |  | ) | const

## Field Documentation

Message_Msg Message_ListNodeOfListOfMsg::myValue `[private]`

The documentation for this class was generated from the following file:

- Message_ListNodeOfListOfMsg.hxx